<?php

/**
 * curl方法
 * @param $object
 * @return array
 */
if(!function_exists('postCurlJson')){
    function postCurlJson($url, $data,$headers = [], $timeout = 30){

        try {
            $requestHeader[] = "API-RemoteIP: ";
            $requestHeader[] = "Content-type: application/json";
            $curl = curl_init();
            curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($data));
            curl_setopt($curl, CURLOPT_HTTPHEADER,$requestHeader);
            curl_setopt($curl, CURLOPT_URL, $url);
            curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($curl, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
            $timeout = intval ( $timeout ) ? intval ( $timeout ) : 30;
            curl_setopt($curl, CURLOPT_TIMEOUT, $timeout);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);
            curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
            curl_setopt($curl, CURLOPT_HEADER, 0);
            $result = curl_exec($curl);
            curl_close($curl);
            return $result;
        } catch (exception $e) {
            throw new Exception($e->getMessage());
        }
    }
}


